View Issue Details

IDProjectCategoryView StatusLast Update
16533Bug reportsUser / Groups / Rolespublic2020-07-30 15:22
Reportersushmanadendla Assigned To 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.3.5 
Summary16533: Double clicking on question overiew for read only user navigates to question editor
Description

And also on clicking on save getting error message

Steps To Reproduce
  1. Log in as admin
  2. Create a survey
  3. Create a user with read only permissions, see image
  4. Login with that user(Tim)
  5. Navigate to the survey created and double-click on question overview and check.
Additional Information

Please refer the attachment for more details

TagsNo tags attached.
Complete LimeSurvey version number (& build) 4.3.5
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-Versionmysqlnd 7.4.7
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4.7

Activities

sushmanadendla

sushmanadendla

2020-07-28 12:14

manager  

sushmanadendla

sushmanadendla

2020-07-28 12:17

manager   ~59115

gabrieljenik

gabrieljenik

2020-07-28 21:18

developer   ~59135

Last edited: 2020-07-30 11:11

Checking permissions before switching to edit mode

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1514

sushmanadendla

sushmanadendla

2020-07-29 14:47

manager   ~59153

Last edited: 2020-07-30 11:11

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, working as expected. Please refer the attachment for more details

user231563

2020-07-30 11:08

  ~59200

Last edited: 2020-07-30 11:11

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30322

lime_release_bot

lime_release_bot

2020-07-30 15:22

administrator   ~59206

Fixed in Release 4.3.7+200730

Related Changesets

LimeSurvey: master 9c1b0ac0

2020-07-28 21:18:02

gabrieljenik


Committer: user231563 Details Diff
Fixed issue 16533: Double clicking on question overiew for read only user navigates to question editor

Checking permissions before switching to edit mode
Affected Issues
16533
mod - assets/packages/questioneditor/build.min/css/main.css Diff File
mod - assets/packages/questioneditor/build.min/js/questionedit.js Diff File
mod - assets/packages/questioneditor/build.min/js/questionedit.js.map Diff File
mod - assets/packages/questioneditor/build/js/questionedit.js Diff File
mod - assets/packages/questioneditor/build/js/questionedit.js.map Diff File
mod - assets/packages/questioneditor/src/App.vue Diff File

Issue History

Date Modified Username Field Change
2020-07-28 12:14 sushmanadendla New Issue
2020-07-28 12:14 sushmanadendla File Added: Readonlyuser_DoubleClick_Editmode.gif
2020-07-28 12:17 sushmanadendla Note Added: 59115
2020-07-28 12:17 sushmanadendla File Added: 16533_Useraccess_Saveaction.png
2020-07-28 12:18 sushmanadendla Status new => confirmed
2020-07-28 12:18 sushmanadendla Steps to Reproduce Updated View Revisions
2020-07-28 21:18 gabrieljenik Note Added: 59135
2020-07-29 14:47 sushmanadendla Note Added: 59153
2020-07-29 14:47 sushmanadendla File Added: 16533_DoubleClick_Staysinqueoveriew.png
2020-07-30 11:08 user231563 Changeset attached => LimeSurvey master 9c1b0ac0
2020-07-30 11:08 user231563 Note Added: 59200
2020-07-30 11:11 swendrich Status confirmed => resolved
2020-07-30 15:22 lime_release_bot Note Added: 59206
2020-07-30 15:22 lime_release_bot Status resolved => closed
2020-07-30 15:22 lime_release_bot Resolution open => fixed